Subject: Re: linux-next: manual merge of the akpm tree with the kunit tree

From: Shuah Khan <[email-masked]>
Date: Tue, 5 Nov 2019 07:45:01 -0700

On 11/5/19 2:45 AM, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the akpm tree got conflicts in:
> 
>    MAINTAINERS
>    lib/Kconfig.debug
>    lib/Makefile
>    lib/list-test.c
> 
> between commit:
> 
>    ea2dd7c0875e ("lib/list-test: add a test for the 'list' doubly linked list")
> 
> from the kunit tree and patch:
> 
>    "lib/list-test.c: add a test for the 'list' doubly linked list"
> 
> from the akpm tree.
> 
> I fixed it up (I just assume that these are different versions of the
> same patch, so I just dropped the version in the akpm tree) and can
> carry the fix as necessary. This is now fixed as far as linux-next is
> concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting
> tree to minimise any particularly complex conflicts.
> 

Right. Andrew and I discussed this patch and he is in the loop that
there is a new version of this patch and that it will be combined
with the Kunit patches in kselftest tree.

Please drop the patch from akpm and carry the fix if necessary.

thanks,
-- Shuah